#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 34. GNOME Applications

- Prev

  EOG-41.1

- Next

  Evolution-3.42.4

- Up
- Home

# Evince-41.3

## Introduction to Evince

Evince is a document viewer for multiple document formats. It supports PDF, Postscript, DjVu, TIFF and DVI. It is useful for viewing documents of various types using one simple application instead of the multiple document viewers that once existed on the GNOME Desktop.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/evince/41/evince-41.3.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/evince/41/evince-41.3.tar.xz

- Download MD5 sum: 15518c459805277b90bad34e7d4551f6

- Download size: 2.8 MB

- Estimated disk space required: 64 MB

- Estimated build time: 0.3 SBU (Using parallelism=4)

### Evince Dependencies

#### Required

adwaita-icon-theme-41.0, gsettings-desktop-schemas-41.0, GTK+-3.24.31, itstool-2.0.7, libhandy-1.4.0, libxml2-2.9.13, and OpenJPEG-2.4.0

#### Recommended

gnome-keyring-40.0, gobject-introspection-1.70.0, libarchive-3.6.0, libsecret-0.20.5, Nautilus-41.2 (to build the plugin), and Poppler-22.02.0

#### Optional

Cups-2.4.1 (to enable printing if support is built into GTK+ 3), gnome-desktop-41.3, gspell-1.8.4, gst-plugins-base-1.20.0, GTK-Doc-1.33.2, libgxps-0.3.2, libtiff-4.3.0, texlive-20210325 (or install-tl-unx), DjVuLibre, libspectre, Synctex, and t1lib

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/evince

## Installation of Evince

First, make sure that meson can find TeXLive if it is installed. This has no effect on systems without TeXLive installed.

    export CPPFLAGS="-I/opt/texlive/2021/include" &&
    export LDFLAGS="$LDFLAGS -L/opt/texlive/2021/lib"

Next, fix building with newer versions of meson:

    find . -name meson.build | xargs sed -i '/merge_file/{n;d}'

Install Evince by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr --buildtype=release -Dgtk_doc=false .. &&
    ninja

This package does not have a working testsuite.

Now, as the `root` user:

    ninja install

### Note

If you installed the package to your system using a “DESTDIR” method, `/usr/share/glib-2.0/schemas/gschemas.compiled` was not updated/created. Create (or update) the file using the following command as the `root` user:

    glib-compile-schemas /usr/share/glib-2.0/schemas

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`CPPFLAGS="..." LDFLAGS="$LDFLAGS ..."`: If TeXLive has been installed in `/opt/texlive/2021` the configure script will find `libkpathsea.so` and enable the DVI backend, but without this addition the compile will fail because it cannot find the required headers. Adding this to a system where TeXLive has not been installed does not break the build.

`-Dgtk_doc=false`: This switch disables generating the gtk-doc API reference documentation. If you have GTK-Doc-1.33.2 installed and wish to generate the API reference documentation, remove this switch.

`-Dgspell=false`: This switch turns off support for the spell checking plugin.

`-Dintrospection=false`: Use this option if you don't have gobject-introspection-1.70.0 installed and don't wish to have introspection support built into Evince.

`-Dnautilus=false`: This switch disables building the Nautilus Plugin. Use this switch if Nautilus is not installed.

`-Dkeyring=false`: This switch disables the use of libsecret. Use this switch if libsecret is not installed.

`-Dps=enabled`: Use this switch if libspectre is installed and you want to view PostScript files with Evince.

## Contents

Installed Programs: evince, evince-previewer, and evince-thumbnailer
Installed Libraries: libevdocument3.so, libevview3.so, and /usr/lib/nautilus/extensions-3.0/libevince-properties-page.so
Installed Directories: /usr/{include,lib,share}/evince, /usr/share/gtk-doc/html/{evince,libevdocument-3.0,libevview-3.0}, and /usr/share/help/*/evince

### Short Descriptions

evince | is a multiple format document viewer
evince-previewer | is an application that implements the printing previewer
evince-thumbnailer | is a simple program used to create thumbnail images of supported documents

Last updated on

- Prev

  EOG-41.1

- Next

  Evolution-3.42.4

- Up
- Home